summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Didier Spaier <didier.spaier@free.fr>2014-01-19 10:46:36 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-01-29 23:21:06 -0600
commitd23337f9abb0a1efdbae400a379c2e1c3a08fcec (patch)
tree8f7a91cb3172c6ff8a2ab0ea5ade83cb6e6d3003 /perl
parent7e6aad1dba5f00812673a1923979f485b74cdcc8 (diff)
downloadslackbuilds-d23337f9abb0a1efdbae400a379c2e1c3a08fcec.tar.gz
slackbuilds-d23337f9abb0a1efdbae400a379c2e1c3a08fcec.tar.xz
perl/perl-Text-WrapI18N: Added (line wrapping module).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Text-WrapI18N/README12
-rw-r--r--perl/perl-Text-WrapI18N/perl-Text-WrapI18N.SlackBuild100
-rw-r--r--perl/perl-Text-WrapI18N/perl-Text-WrapI18N.info10
-rw-r--r--perl/perl-Text-WrapI18N/slack-desc20
4 files changed, 142 insertions, 0 deletions
diff --git a/perl/perl-Text-WrapI18N/README b/perl/perl-Text-WrapI18N/README
new file mode 100644
index 0000000000..9a0bad5e7e
--- /dev/null
+++ b/perl/perl-Text-WrapI18N/README
@@ -0,0 +1,12 @@
+perl-WrapI18N (perl module)
+
+Text::WrapI18N - Line wrapping module with support for multibyte, fullwidth,
+and combining characters and languages without whitespaces between words.
+
+This module intends to be a better Text::Wrap module. It is needed to support
+multibyte character encodings such as UTF-8, EUC-JP, EUC-KR, GB2312, and Big5.
+
+The text is to be given in locale encoding, not always in UTF-8.
+(Of course locale encoding is UTF-8 in UTF-8 locales.)
+
+This perl module is an optional dependency of Po4a.
diff --git a/perl/perl-Text-WrapI18N/perl-Text-WrapI18N.SlackBuild b/perl/perl-Text-WrapI18N/perl-Text-WrapI18N.SlackBuild
new file mode 100644
index 0000000000..978e9165e8
--- /dev/null
+++ b/perl/perl-Text-WrapI18N/perl-Text-WrapI18N.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for perl-Text-WrapI18N
+
+# Copyright 2014 Didier Spaier Paris, France
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Text-WrapI18N
+VERSION=${VERSION:-0.06}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Text-WrapI18N/perl-Text-WrapI18N.info b/perl/perl-Text-WrapI18N/perl-Text-WrapI18N.info
new file mode 100644
index 0000000000..59b6f4c850
--- /dev/null
+++ b/perl/perl-Text-WrapI18N/perl-Text-WrapI18N.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Text-WrapI18N"
+VERSION="0.06"
+HOMEPAGE="http://search.cpan.org/~kubota/Text-WrapI18N-0.06/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/K/KU/KUBOTA/Text-WrapI18N-0.06.tar.gz"
+MD5SUM="0799c16a00926e6c18d400c2e2861d5f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Text-CharWidth"
+MAINTAINER="Didier Spaier"
+EMAIL="didier dot spaier at epsm dot fr"
diff --git a/perl/perl-Text-WrapI18N/slack-desc b/perl/perl-Text-WrapI18N/slack-desc
new file mode 100644
index 0000000000..988182bd3d
--- /dev/null
+++ b/perl/perl-Text-WrapI18N/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Text-WrapI18N: perl-Text-WrapI18N (line wrapping module)
+perl-Text-WrapI18N:
+perl-Text-WrapI18N: Text::WrapI18N - Line wrapping module with support for multibyte,
+perl-Text-WrapI18N: fullwidth, and combining characters and languages without whitespaces
+perl-Text-WrapI18N: between words.
+perl-Text-WrapI18N:
+perl-Text-WrapI18N: This module intends to be a better Text::Wrap module. It is needed to
+perl-Text-WrapI18N: support multibyte character encodings such as UTF-8, EUC-JP, EUC-KR,
+perl-Text-WrapI18N: GB2312, and Big5.
+perl-Text-WrapI18N:
+perl-Text-WrapI18N: The text is to be given in locale encoding, not always in UTF-8.
+perl-Text-WrapI18N: (Of course locale encoding is UTF-8 in UTF-8 locales.)